// gshhs_utils.h
#ifndef _gshhs_utils_H_
#define _gshhs_utils_H_

// File/String List structure and lists
// ====================================
typedef struct tagFILLST {
   LE link;
   ULONGLONG hdrcount, ptcount;
   TCHAR name[1];
}FILLST, * PFILLST;

extern PLE Get_File_List( void );
extern PLE Get_Done_List( void );
extern PTSTR Get_File_List_File_Ptr( int item );
extern PTSTR Get_Done_List_File_Ptr( int item );
extern int Get_File_List_Count( void );
extern int Get_Done_List_Count( void );
extern PFILLST Add_2_File_List( PTSTR pfile );
extern PFILLST Add_2_Done_List( PTSTR pfile, ULONGLONG hdrs, ULONGLONG pts );
extern void Kill_Lists( void );
extern int File_Exists( char * pfile );

// ====================================

extern int trim_num_IB( PTSTR ptmp );
extern PTSTR GetNxtBuf( void );
extern PTSTR Rect2Stg( PRECT prc );
extern PTSTR Rect2StgFull( PRECT prc );
extern void NormalizeRect (PRECT lpRect);

#define _MAX_INT32 0x7fffffff
#define _MIN_INT32   -_MAX_INT32 - 1


#endif   // _gshhs_utils_H_
// eof - gshhs_utils.h
